Skip to main content

Information

List all available printers​

Request​

GET http://printer/api/v3/printers

Response​

note

The response is a JSON object where the keys are the names of the printers, and the value is an object of printer properties. Different printer models will have different properties. The output below is just an example. See listPrinters for the properties, including pens, which each slice has since v6.1.

{
"Colorize": {
"color": "CMYKW",
"dpi": 180,
"duo": true,
"height": 108.37333299999999,
"id": "Colorize",
"physicalWidth": 210.0,
"sliceHeight": 108.37333299999999,
"slices": [
{
"inkSupplies": [
"MASTER.INKSUPPLY1",
"MASTER.INKSUPPLY2",
"MASTER.INKSUPPLY3",
"MASTER.INKSUPPLY4",
"MASTER.INKSUPPLY5"
],
"phs": [
"MASTER.PH1",
"MASTER.PH2",
"MASTER.PH3"
]
}
],
"type": "MARVIN1"
},
"TIJ": {
"color": "DUO",
"dpi": 300,
"height": 25.4,
"id": "TIJ",
"physicalWidth": 128.0,
"sliceHeight": 12.7,
"slices": [
{
"phs": [
"TIJ.PH1",
"TIJ.PH2"
]
},
{
"phs": [
"TIJ.PH3",
"TIJ.PH4"
]
}
],
"type": "TIJ1"
}
}

Get printer status.​

Request​

GET http://printer/api/v3/printers/{name}/status

Path Parameters​

NameTypeDescription
nameStringPrinter name

Response​

See getPrinterStatus.